unit SrcScanner;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Splitter1: TSplitter;
    Panel2: TPanel;
    Panel4: TPanel;
    Panel5: TPanel;
    Panel3: TPanel;
    Panel6: TPanel;
    SaveButton: TBitBtn;
    OpenButton: TBitBtn;
    NextButton: TBitBtn;
    PrevButton: TBitBtn;
    OpenDialog1: TOpenDialog;
    NewEdit: TRichEdit;
    OrigEdit: TRichEdit;
    procedure OpenButtonClick(Sender: TObject);
  private
    { Private declarations }
    procedure OpenInputFile(FileName: String);
    procedure CloseCurFiles;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.OpenButtonClick(Sender: TObject);
begin
  if OpenDialog1.Execute then begin
    OpenInputFile(OpenDialog1.FileName);
  end;
end;

procedure TForm1.OpenInputFile(FileName: String);
begin
  CloseCurFiles;
  OrigEdit.Lines.LoadFromFile(FileName);  //does a clear first

end;

procedure TForm1.CloseCurFiles;
begin
  //check if should be saved.

end;


end.
